org.eclipse.cdt.core.settings.model.util

## Class LanguageSettingEntriesSerializer

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.LanguageSettingEntriesSerializer

    public class LanguageSettingEntriesSerializer
    extends Object

### Field Summary

Fields
`static String` `ATTRIBUTE_EXCLUDING`
`static String` `ATTRIBUTE_FLAGS`
`static String` `ATTRIBUTE_KIND`
`static String` `ATTRIBUTE_NAME`
`static String` `ATTRIBUTE_SOURCE_ATTACHMENT_PATH`
`static String` `ATTRIBUTE_SOURCE_ATTACHMENT_PREFIX_MAPPING`
`static String` `ATTRIBUTE_SOURCE_ATTACHMENT_ROOT_PATH`
`static String` `ATTRIBUTE_VALUE`
`static String` `BUILTIN`
`static String` `ELEMENT_ENTRY`
`static String` `FLAGS_SEPARATOR`
`static String` `INCLUDE_FILE`
`static String` `INCLUDE_PATH`
`static String` `LIBRARY_FILE`
`static String` `LIBRARY_PATH`
`static String` `LOCAL`
`static String` `MACRO`
`static String` `MACRO_FILE`
`static String` `NONE`
`static String` `OUTPUT_PATH`
`static String` `READONLY`
`static String` `RESOLVED`
`static String` `SOURCE_PATH`
`static String` `VALUE_WORKSPACE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`LanguageSettingEntriesSerializer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `composeFlags(String flagsString)`
`static String` `composeFlagsString(int flags)`
`static String` `kindToString(int kind)`
`static ICSettingEntry[]` `loadEntries(ICStorageElement el)`
`static ICSettingEntry[]` `loadEntries(ICStorageElement el, int kindFilter)`
`static List<ICSettingEntry>` `loadEntriesList(ICStorageElement el)`
`static List<ICSettingEntry>` `loadEntriesList(ICStorageElement el, int kindFilter)`
`static ICSettingEntry` `loadEntry(ICStorageElement el)`
`static void` `serializeEntries(ICSettingEntry[] entries, ICStorageElement element)`
`static void` `serializeEntry(ICSettingEntry entry, ICStorageElement element)`
`static int` `stringToKind(String kind)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ELEMENT_ENTRY

    public static final String ELEMENT_ENTRY

See Also:
  Constant Field Values

#### ATTRIBUTE_KIND

    public static final String ATTRIBUTE_KIND

See Also:
  Constant Field Values

#### ATTRIBUTE_NAME

    public static final String ATTRIBUTE_NAME

See Also:
  Constant Field Values

#### ATTRIBUTE_VALUE

    public static final String ATTRIBUTE_VALUE

See Also:
  Constant Field Values

#### ATTRIBUTE_FLAGS

    public static final String ATTRIBUTE_FLAGS

See Also:
  Constant Field Values

#### ATTRIBUTE_EXCLUDING

    public static final String ATTRIBUTE_EXCLUDING

See Also:
  Constant Field Values

#### ATTRIBUTE_SOURCE_ATTACHMENT_PATH

    public static final String ATTRIBUTE_SOURCE_ATTACHMENT_PATH

See Also:
  Constant Field Values

#### ATTRIBUTE_SOURCE_ATTACHMENT_ROOT_PATH

    public static final String ATTRIBUTE_SOURCE_ATTACHMENT_ROOT_PATH

See Also:
  Constant Field Values

#### ATTRIBUTE_SOURCE_ATTACHMENT_PREFIX_MAPPING

    public static final String ATTRIBUTE_SOURCE_ATTACHMENT_PREFIX_MAPPING

See Also:
  Constant Field Values

#### INCLUDE_PATH

    public static final String INCLUDE_PATH

See Also:
  Constant Field Values

#### INCLUDE_FILE

    public static final String INCLUDE_FILE

See Also:
  Constant Field Values

#### MACRO

    public static final String MACRO

See Also:
  Constant Field Values

#### MACRO_FILE

    public static final String MACRO_FILE

See Also:
  Constant Field Values

#### LIBRARY_PATH

    public static final String LIBRARY_PATH

See Also:
  Constant Field Values

#### LIBRARY_FILE

    public static final String LIBRARY_FILE

See Also:
  Constant Field Values

#### SOURCE_PATH

    public static final String SOURCE_PATH

See Also:
  Constant Field Values

#### OUTPUT_PATH

    public static final String OUTPUT_PATH

See Also:
  Constant Field Values

#### NONE

    public static final String NONE

Since:
  5.6
See Also:
  Constant Field Values

#### BUILTIN

    public static final String BUILTIN

See Also:
  Constant Field Values

#### READONLY

    public static final String READONLY

See Also:
  Constant Field Values

#### LOCAL

    public static final String LOCAL

See Also:
  Constant Field Values

#### VALUE_WORKSPACE_PATH

    public static final String VALUE_WORKSPACE_PATH

See Also:
  Constant Field Values

#### RESOLVED

    public static final String RESOLVED

See Also:
  Constant Field Values

#### FLAGS_SEPARATOR

    public static final String FLAGS_SEPARATOR

See Also:
  Constant Field Values

### Constructor Detail

#### LanguageSettingEntriesSerializer

    public LanguageSettingEntriesSerializer()

### Method Detail

#### loadEntries

    public static ICSettingEntry[] loadEntries(ICStorageElement el)

#### loadEntries

    public static ICSettingEntry[] loadEntries(ICStorageElement el,
                                               int kindFilter)

#### loadEntriesList

    public static List<ICSettingEntry> loadEntriesList(ICStorageElement el)

#### loadEntriesList

    public static List<ICSettingEntry> loadEntriesList(ICStorageElement el,
                                                       int kindFilter)

#### loadEntry

    public static ICSettingEntry loadEntry(ICStorageElement el)

#### serializeEntries

    public static void serializeEntries(ICSettingEntry[] entries,
                                        ICStorageElement element)

#### serializeEntry

    public static void serializeEntry(ICSettingEntry entry,
                                      ICStorageElement element)

#### kindToString

    public static String kindToString(int kind)

#### stringToKind

    public static int stringToKind(String kind)

#### composeFlagsString

    public static String composeFlagsString(int flags)

#### composeFlags

    public static int composeFlags(String flagsString)

Since:
  5.4